Skip to main content

Refresh access token

POST 

/auth/tokens/refresh

Obtain a new access token using a refresh token.

The refresh token is valid for its configured lifetime and can be used multiple times to obtain new access tokens without re-authentication.

NOTE: This operation is duplicated in keycloak-client/openapi.yaml. Keep both in sync.

Request

Body

required

    refresh_token stringrequired

    Possible values: <= 8000 characters

    The refresh token issued during token exchange

Responses

Token refreshed successfully

Schema

    access_token stringrequired

    Possible values: <= 8000 characters

    The access token. It is possible to decrypt the token using https://www.jwt.io resource

    refresh_token string

    Possible values: <= 8000 characters

    A credential used to obtain a new Access Token without requiring the user to re-authenticate, ensuring continuous access to protected resources.

    token_type stringrequired

    The type of the access token

    expires_in int32

    The lifetime of the access token, in seconds

    refresh_expires_in int32

    The lifetime of the refresh token, in seconds

Loading...